# If you want only the core to be built,
# give rpmbuild option '--with coreonly'

# If you want only the portal block to be additionally built,
# give rpmbuild option '--with portalonly'

# If you don't want the portal-sample block to be built,
# give rpmbuild option '--without portalsample'

%define with_coreonly %{?_with_coreonly:1}%{!?_with_coreonly:0}
%define without_coreonly %{!?_with_coreonly:1}%{?_with_coreonly:0}

%define with_portalonly %{?_with_portalonly:1}%{!?_with_portalonly:0}
%define without_portalonly %{!?_with_portalonly:1}%{?_with_portalonly:0}

%define with_portalsample %{!?_without_portalsample:1}%{?_without_portalsample:0}
%define without_portalsample %{?_without_portalsample:1}%{!?_without_portalsample:0}



%define section free
%define agversion 0.0
%define osgiversion 1.0.0

%define cvs_date 20051026104247

Summary:        Cocoon Framework
Name:           cocoon
Version:        2.2
Release:        0.%{cvs_date}.1jpp
Epoch:          0
License:        Apache Software License 2.0
URL:            http://cocoon.apache.org
Group:          Development/Libraries/Application Frameworks
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://svn.apache.org/snapshots/cocoon/cocoon_20051026104247.tar.gz
Source1:        cocoon-2.2-dev-jars.xml
#Source2:        cocoon-scratchpad-zip-source.xconf
Source3:        cocoon-2.2-dev-preliminary-doc.tar.gz

Patch0:         cocoon-2.2-dev-EclipseJavaCompiler.patch
#Patch1:         cocoon-2.2-dev-libraries.patch
Patch2:         cocoon-2.2-dev-gump-module_xml.patch
Patch3:         cocoon-2.2-dev-osgi-build_xml.patch
Patch4:         cocoon-2.2-dev-cocoon-core_xconf.patch
Patch5:         cocoon-2.2-dev-script.patch
Patch6:         cocoon-2.2-dev-BlocksServlet.patch

## build tool requires
BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.6
BuildRequires:  junit
BuildRequires:  ant-contrib
BuildRequires:  ant-junit
BuildRequires:  ant-nodeps
BuildRequires:  ant-trax
BuildRequires:  easymock
BuildRequires:  jing
BuildRequires:  jmock
BuildRequires:  qdox
BuildRequires:  xml-commons-resolver
BuildRequires:  xmlunit

## core requires
BuildRequires:  concurrent
BuildRequires:  excalibur-i18n
BuildRequires:  excalibur-instrument-api
BuildRequires:  excalibur-io
BuildRequires:  excalibur-logger
BuildRequires:  excalibur-naming
BuildRequires:  excalibur-pool-api
BuildRequires:  excalibur-pool-impl
BuildRequires:  excalibur-pool-instrumented
BuildRequires:  excalibur-sourceresolve
BuildRequires:  excalibur-store
BuildRequires:  excalibur-xmlutil
BuildRequires:  excalibur-avalon-framework-api
BuildRequires:  excalibur-avalon-framework-impl
BuildRequires:  excalibur-avalon-logkit
BuildRequires:  jakarta-commons-cli
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-javaflow
BuildRequires:  jakarta-commons-jci
BuildRequires:  jakarta-commons-jexl
BuildRequires:  jakarta-commons-jxpath
BuildRequires:  jakarta-commons-lang >= 0:2.1
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-turbine-jcs
BuildRequires:  knopflerfish
BuildRequires:  ehcache
BuildRequires:  log4j
BuildRequires:  rhino
BuildRequires:  servletapi4
BuildRequires:  xml-commons-resolver
BuildRequires:  xmlbeans
# endorsed requires
BuildRequires:  bcel
BuildRequires:  regexp
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis

%if %{without_coreonly}
# non-core requires
BuildRequires:  antlr
BuildRequires:  asm2
BuildRequires:  axis
BuildRequires:  batik >= 0:1.6
BuildRequires:  bsf
BuildRequires:  castor-xml
BuildRequires:  chaperon
%if %{without_portalonly}
%if %{with_portalsample}
BuildRequires:  cowarp
%endif
%endif
BuildRequires:  daisy
BuildRequires:  db-ojb >= 0:1.0.3
BuildRequires:  deli
BuildRequires:  eclipse-platform
BuildRequires:  excalibur-datasource
BuildRequires:  exolabcore
BuildRequires:  fop
BuildRequires:  geronimo-specs
BuildRequires:  geronimo-modules-sandbox
BuildRequires:  groovy-jsr
BuildRequires:  hsqldb
BuildRequires:  icu4j
BuildRequires:  itext >= 0:1.3
BuildRequires:  jackrabbit
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-betwixt0
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-discovery
BuildRequires:  jakarta-commons-el
BuildRequires:  jakarta-commons-io
BuildRequires:  jakarta-commons-pool
BuildRequires:  jakarta-commons-transaction
BuildRequires:  jakarta-poi
BuildRequires:  jakarta-slide-server
BuildRequires:  jakarta-slide-webdavclient
BuildRequires:  jcr-1.0-api
BuildRequires:  jdom
BuildRequires:  jena
BuildRequires:  jfor
BuildRequires:  jing
BuildRequires:  jms-1.0-api
BuildRequires:  joost
BuildRequires:  jtidy
BuildRequires:  lucene
BuildRequires:  myfaces
BuildRequires:  nekodtd
BuildRequires:  nekohtml
BuildRequires:  openjms
BuildRequires:  oro
BuildRequires:  portals-bridges-common
BuildRequires:  portals-pluto
BuildRequires:  portlet-1.0-api
BuildRequires:  qdox
BuildRequires:  quartz
BuildRequires:  spring11
BuildRequires:  tomcat5-servlet-2.4-api
BuildRequires:  velocity
BuildRequires:  wsdl4j
BuildRequires:  ws-wsrp4j
BuildRequires:  xmldb-api
BuildRequires:  xmldb-common
BuildRequires:  xmldb-xupdate
BuildRequires:  xml-xindice
BuildRequires:  xmlrpc
BuildRequires:  xreporter
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Apache Cocoon is a web development framework built 
around the concepts of separation of concerns (making 
sure people can interact and collaborate on a project, 
without stepping on each other toes) and component-based 
web development. 
Cocoon implements these concepts around the notion of 
"component pipelines", each component on the pipeline 
specializing on a particular operation. This makes it 
possible to use a "building block" approach for web 
solutions, hooking together components into pipelines 
without any required programming. 
Cocoon is "web glue for your web application development 
needs". It is a glue that keeps concerns separate and 
allows parallel evolution of the two sides, improving 
development pace and reducing the chance of conflicts. 
Cocoon has been designed to coexist and interoperate 
side-by-side with your existing J2EE solutions or to 
give them new functionality without requiring any change 
in the existing infrastructure. 
Cocoon interacts with many data sources, including 
filesystems, RDBMS, LDAP, native XML databases, SAP(R)
systems and network-based data sources. It adapts content 
delivery to the capabilities of different devices like 
HTML, WML, PDF, SVG, and RTF, to name just a few. You 
can run Cocoon as a Servlet as well as through a powerful, 
commandline interface. The deliberate design of its 
abstract environment gives you the freedom to extend its 
functionality to meet your special needs in a highly 
modular fashion. 

%package core
Summary:        Core library for %{name}
Group:          Text Processing/Markup/XML
## core requires
Requires:  concurrent
Requires:  excalibur-i18n
Requires:  excalibur-instrument-api
Requires:  excalibur-io
Requires:  excalibur-logger
Requires:  excalibur-naming
Requires:  excalibur-pool-api
Requires:  excalibur-pool-impl
Requires:  excalibur-pool-instrumented
Requires:  excalibur-sourceresolve
Requires:  excalibur-store
Requires:  excalibur-xmlutil
Requires:  excalibur-avalon-framework-api
Requires:  excalibur-avalon-framework-impl
Requires:  excalibur-avalon-logkit
Requires:  jakarta-commons-cli
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-httpclient
Requires:  jakarta-commons-javaflow
Requires:  jakarta-commons-jci
Requires:  jakarta-commons-jexl
Requires:  jakarta-commons-jxpath
Requires:  jakarta-commons-lang >= 0:2.1
Requires:  jakarta-commons-logging
Requires:  jakarta-turbine-jcs
Requires:  ehcache
Requires:  log4j
Requires:  rhino
Requires:  servletapi4
Requires:  xml-commons-resolver
Requires:  xmlbeans
# endorsed requires
Requires:  bcel
Requires:  regexp
Requires:  xalan-j2
Requires:  xerces-j2
Requires:  xml-commons-apis

%description core
%{summary}.

%if %{without_coreonly}

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package blocks
Summary:        Blocks for %{name}
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-core = 0:%{version}
Requires:       axis
Requires:       batik >= 0:1.6
Requires:       bsf
Requires:       chaperon
Requires:       excalibur-datasource
Requires:       quartz
Requires:       deli
Requires:       jms-1.0-api
Requires:       jsf
Requires:       fop
Requires:       icu4j
Requires:       oro
Requires:       daisy
Requires:       xreporter
Requires:       hsqldb
Requires:       nekohtml
Requires:       jtidy
Requires:       itext >= 0:1.3
Requires:       jcr-1.0-api
Requires:       jackrabbit
Requires:       jfor
Requires:       lucene
# for javamail api
Requires:       geronimo-modules-sandbox
Requires:       db-ojb >= 0:1.0.3
Requires:       jakarta-poi
Requires:       portlet-1.0-api
Requires:       ws-wsrp4j
Requires:       portals-pluto
%if %{without_portalonly}
%if %{with_portalsample}
Requires:       cowarp
%endif
%endif
Requires:       jython
Requires:       qdox
Requires:       jakarta-commons-betwixt0
Requires:       jakarta-commons-jelly
Requires:       wsdl4j
Requires:       jakarta-slide-server
Requires:       spring11
Requires:       jing
Requires:       velocity
Requires:       jakarta-slide-webdavclient
Requires:       xmldb-api
Requires:       eclipse-ecj

%description blocks
%{summary}.

%package osgi
Summary:        OSGi Setup for %{name}
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-core = 0:%{version}
Requires:	knopflerfish

%description osgi
%{summary}.

%package webapp
Summary:        Web Application for %{name}
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-core = 0:%{version}
Requires:       %{name}-blocks = 0:%{version}

%description webapp
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-core = 0:%{version}
Requires:       %{name}-blocks = 0:%{version}

%description demo
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%endif

%prep
cat <<EOT

                If you want only the core to be built,
                give rpmbuild option '--with coreonly'

                If you want only the portal block to be additionally built,
                give rpmbuild option '--with portalonly'

                If you don''t want the portal-sample block to be built,
                give rpmbuild option '--without portalsample'

EOT

%setup -q -n %{name}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
mv lib/jars.xml lib/jars.xml.orig_for_ref
cp %{SOURCE1} lib/jars.xml
#cp %{SOURCE2} src/blocks/scratchpad/trunk/WEB-INF/xconf/
gzip -dc %{SOURCE3} | tar xf -

%patch0 -b .sav
#%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav

%build

build-jar-repository -s -p lib/core \
concurrent commons-cli excalibur/excalibur-i18n excalibur/excalibur-instrument-api excalibur/excalibur-io excalibur/excalibur-logger \
excalibur/excalibur-naming excalibur/excalibur-pool-api excalibur/excalibur-pool-impl excalibur/excalibur-pool-instrumented \
excalibur/excalibur-sourceresolve excalibur/excalibur-store excalibur/excalibur-xmlutil \
excalibur/avalon-framework-api excalibur/avalon-framework-impl \
commons-collections excalibur/avalon-logkit commons-httpclient \
commons-logging turbine-jcs ehcache log4j xml-commons-resolver \
servletapi4 commons-jxpath commons-jexl rhino xmlbeans/xbean \
commons-lang commons-jci commons-javaflow \
knopflerfish/cm_api \
knopflerfish/console_all \
knopflerfish/consoletty \
knopflerfish/framework \
knopflerfish/frameworkcommands \
knopflerfish/http_all \
knopflerfish/log_all \
knopflerfish/logcommands \


build-jar-repository -s -p lib/endorsed \
regexp xalan-j2 xalan-j2-serializer xerces-j2 xml-commons-apis bcel

%if %{without_coreonly}

build-jar-repository -s -p lib/optional \
excalibur/excalibur-datasource \
batik/awt-util \
batik/bridge \
batik/css \
batik/dom \
batik/ext \
batik/extension \
batik/gui-util \
batik/gvt \
batik/parser \
batik/script \
batik/svg-dom \
batik/svggen \
batik/swing \
batik/transcoder \
batik/util \
batik/xml \
bsf groovy-jsr asm2/asm2 asm2/asm2-util deli itext fop jfor hsqldb poi \
jena icu4j jtidy nekodtd nekohtml daisy/htmlcleaner daisy/util lucene \
velocity xmldb-api xmldb-common xmldb-xupdate xml-xindice xmlrpc \
jdtcore chaperon castor-xml jing \
slide/slide-server-kernel slide/slide-server-stores \
slide/slide-server-webdavservlet slide/slide-webdavclient-webdavlib \
commons-transaction commons-codec jdom geronimo/spec-jta-1.0.1B \
wsdl4j axis/saaj commons-discovery axis/jaxrpc axis/axis \
xreporter-expression oro joost qdox quartz \
commons-betwixt0 commons-beanutils-core commons-digester \
antlr commons-dbcp commons-pool db-ojb/db-ojb \
geronimo-sandbox/javamail geronimo-sandbox/activation \
geronimo/spec-jms-1.1 exolabcore openjms-client jms-1.0-api \
jndi portlet-1.0-api portals-pluto/pluto portals-pluto/pluto-descriptors \
portals-bridges/portals-bridges-common \
myfaces/myfaces-impl myfaces/myfaces-jsf-api \
commons-el jspapi commons-io jcr-1.0-api \
jackrabbit/jackrabbit-commons \
jackrabbit/jackrabbit \
spring11 ws-wsrp4j/wsrp4j-shared ws-wsrp4j/wsrp4j-consumer \

%if %{without_portalonly}
%if %{with_portalsample}
build-jar-repository -s -p lib/optional \
cowarp
%else
touch lib/optional/cowarp.jar
%endif
%else
touch lib/optional/cowarp.jar
%endif

%endif

build-jar-repository tools/lib \
ant-contrib ant ant/ant-junit ant-launcher ant/ant-nodeps ant/ant-trax \
easymock jing jmock junit qdox xml-commons-resolver xmlunit

export OPT_JAR_LIST="ant-contrib ant/ant-junit junit jmock easymock xmlunit ant/ant-trax xalan-j2 xalan-j2-serializer"
export ANT_OPTS="-Xmx256m"

ant package-core 

%if %{without_coreonly}
mkdir src/blocks/scratchpad/trunk/garbage/lib
cp build/cocoon/cocoon.jar src/blocks/scratchpad/trunk/garbage/lib
pushd src/blocks/scratchpad/trunk/garbage
build-jar-repository -s -p lib \
commons-jxpath \
excalibur/excalibur-xmlutil \
servletapi4 \

ant
popd
cp src/blocks/scratchpad/trunk/garbage/build/apache-garbage-0.0.jar lib/optional
%if %{with_portalonly}
#-----[dependency]: "portal" depends on "authentication-fw", "cron", "forms", "session-fw".
echo exclude.all.blocks=true >> blocks.properties
echo include.block.ajax=true >> blocks.properties
echo include.block.authentication-fw=true >> blocks.properties
echo include.block.cron=true >> blocks.properties
echo include.block.forms=true >> blocks.properties
echo include.block.session-fw=true >> blocks.properties
echo include.block.portal=true >> blocks.properties

ant
%else
%if %{without_portalsample}
echo include.all.blocks=true >> blocks.properties
echo exclude.block.portal-sample=true >> blocks.properties
%endif
ant webapp javadocs osgi
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

# bin
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name}.sh $RPM_BUILD_ROOT%{_bindir}/%{name}

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 build/%{name}/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-%{version}.jar
%if %{without_coreonly}
install -m 644 lib/optional/apache-garbage-0.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 build/%{name}/%{name}-deprecated.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-deprecated-%{version}.jar
install -m 644 build/%{name}/%{name}-testcase.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-testcase-%{version}.jar

%if %{without_portalonly}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/blocks
for bl in ajax apples asciiart authentication-fw axis batik bsf captcha chaperon cron databases deli eventcache faces fop forms hsqldb html itext javaflow jcr jfor jms jsp linkrewriter lucene mail midi naming ojb paranoid petstore poi portal profiler proxy python qdox querybean repository scratchpad serializers session-fw slide slop spring-app stx taglib template tour validation velocity web3 webdav xmldb xsp; do
	install -m 644 build/%{name}/blocks/${bl}-block.jar \
	  $RPM_BUILD_ROOT%{_javadir}/%{name}/blocks/${bl}-%{version}.jar
done
%if %{with_portalsample}
	install -m 644 build/%{name}/blocks/portal-sample-block.jar \
	  $RPM_BUILD_ROOT%{_javadir}/%{name}/blocks/portal-sample-%{version}.jar
%endif
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi
install -m 644 build/osgi/org.apache.cocoon_1.0.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi/org.apache.cocoon-1.0.0.jar
install -m 644 build/osgi/org.apache.cocoon_servlet_1.0.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi/org.apache.cocoon_servlet-1.0.0.jar
install -m 644 build/osgi/org.apache.cocoon.template_1.0.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi/org.apache.cocoon.template-1.0.0.jar
install -m 644 build/osgi/org.apache.cocoon_webapp_1.0.0.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi/org.apache.cocoon_webapp-1.0.0.jar
%else
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/blocks
	install -m 644 build/%{name}/blocks/portal-block.jar \
	  $RPM_BUILD_ROOT%{_javadir}/%{name}/blocks/portal-%{version}.jar
%endif

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{agversion}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{agversion}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/blocks && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi && for jar in *-%{osgiversion}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{osgiversion}||g"`; done)
%endif

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%if %{without_coreonly}
%if %{without_portalonly}
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/cocoon/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# docs
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 *.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr src/documentation/build/site \
			$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# webapp
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/wars/%{name}
cp -pr build/webapp/* $RPM_BUILD_ROOT%{_javadir}/%{name}/wars/%{name}
#rm -rf $RPM_BUILD_ROOT%{_javadir}/%{name}/wars/%{name}/api/java
#ln -sf %{_javadocdir}/%{name}-%{version} \
#	$RPM_BUILD_ROOT%{_javadir}/%{name}/wars/%{name}/api/java
pushd $RPM_BUILD_ROOT%{_javadir}/%{name}/wars/%{name}/WEB-INF/lib
rm *.jar
ln -sf %{_javadir}/cocoon/apache-garbage.jar cocoon_apache-garbage.jar
ln -sf %{_javadir}/cocoon/cocoon-deprecated.jar cocoon_cocoon-deprecated.jar
ln -sf %{_javadir}/cocoon/cocoon.jar cocoon_cocoon.jar
for b in ajax apples asciiart authentication-fw axis batik bsf captcha chaperon cron databases deli eventcache faces fop forms hsqldb html itext javaflow jcr jfor jms jsp kinkrewriter lucene mail midi naming ojb paranoid petstore poi portal profiler proxy python qdox querybean repository scratchpad serializers session-fw slide slop spring-app stx taglib template tour validation velocity web3 webdav xmldb xsp; do
	ln -sf %{_javadir}/cocoon/blocks/${b}.jar cocoon_blocks_${b}.jar
done
%if %{with_portalsample}
	ln -sf %{_javadir}/cocoon/blocks/portal-sample.jar cocoon_blocks_portal-sample.jar
%endif
build-jar-repository -s -p . \
antlr \
asm2/asm2 \
asm2/asm2-util \
axis/axis \
axis/jaxrpc \
axis/saaj \
batik/awt-util \
batik/bridge \
batik/css \
batik/dom \
batik/ext \
batik/extension \
batik/gui-util \
batik/gvt \
batik/parser \
batik/script \
batik/svg-dom \
batik/svggen \
batik/swing \
batik/transcoder \
batik/util \
batik/xml \
bcel \
bsf \
castor-xml \
chaperon \
commons-beanutils-core \
commons-betwixt0 \
commons-cli \
commons-codec \
commons-collections \
commons-dbcp \
commons-digester \
commons-discovery \
commons-el \
commons-httpclient \
commons-io \
commons-javaflow \
commons-jci \
commons-jexl \
commons-jxpath \
commons-lang \
commons-logging \
commons-pool \
commons-transaction \
concurrent \
daisy/htmlcleaner \
daisy/util \
db-ojb/db-ojb \
deli \
ehcache \
excalibur/avalon-framework-api \
excalibur/avalon-framework-impl \
excalibur/avalon-logkit \
excalibur/excalibur-datasource \
excalibur/excalibur-i18n \
excalibur/excalibur-instrument-api \
excalibur/excalibur-io \
excalibur/excalibur-logger \
excalibur/excalibur-naming \
excalibur/excalibur-pool-api \
excalibur/excalibur-pool-impl \
excalibur/excalibur-pool-instrumented \
excalibur/excalibur-sourceresolve \
excalibur/excalibur-store \
excalibur/excalibur-xmlutil \
exolabcore \
fop \
geronimo-sandbox/activation \
geronimo-sandbox/javamail \
geronimo/spec-jms-1.1 \
geronimo/spec-jta-1.0.1B \
groovy-jsr \
hsqldb \
icu4j \
itext \
jackrabbit/jackrabbit-commons \
jackrabbit/jackrabbit \
jcr-1.0-api \
jdom \
jdtcore \
jena \
jfor \
jing \
jndi \
joost \
jspapi \
jtidy \
jython \
knopflerfish/cm_api \
knopflerfish/console_all \
knopflerfish/consoletty \
knopflerfish/frameworkcommands \
knopflerfish/framework \
knopflerfish/http_all \
knopflerfish/log_all \
knopflerfish/logcommands \
log4j \
lucene \
myfaces/myfaces-impl \
myfaces/myfaces-jsf-api \
nekodtd \
nekohtml \
openjms-client \
oro \
poi \
portals-bridges/portals-bridges-common \
portals-pluto/pluto-descriptors \
portals-pluto/pluto \
portlet-1.0-api \
qdox \
quartz \
regexp \
rhino \
servletapi4 \
slide/slide-server-kernel \
slide/slide-server-stores \
slide/slide-server-webdavservlet \
slide/slide-webdavclient-webdavlib \
spring11 \
turbine-jcs \
velocity \
wsdl4j \
ws-wsrp4j/wsrp4j-consumer \
ws-wsrp4j/wsrp4j-shared \
xalan-j2 \
xalan-j2-serializer \
xerces-j2 \
xmlbeans/xbean \
xml-commons-apis \
xml-commons-resolver \
xmldb-api \
xmldb-common \
xmldb-xupdate \
xmlrpc \
xml-xindice \
xreporter-expression
%if %{with_portalsample}
build-jar-repository -s -p . cowarp
%endif

popd

# /var/lib/cocoon
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/lib/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/lib/%{name}/lib/endorsed
build-jar-repository -s -p \
	$RPM_BUILD_ROOT%{_datadir}/lib/%{name}/lib/endorsed \
	regexp xalan-j2 xalan-j2-serializer xerces-j2 xml-commons-apis bcel

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/lib/%{name}/tools/loader
cp -p tools/loader/*.class \
	$RPM_BUILD_ROOT%{_datadir}/lib/%{name}/tools/loader
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/lib/%{name}/tools/jetty/conf
cp -p tools/jetty/conf/*.xml \
	$RPM_BUILD_ROOT%{_datadir}/lib/%{name}/tools/jetty/conf
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/lib/%{name}/tools/jetty/lib
build-jar-repository -s -p \
	$RPM_BUILD_ROOT%{_datadir}/lib/%{name}/tools/jetty/lib \
	jetty4 servletapi4

# /usr/share/cocoon
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -s %{_datadir}/lib/%{name}/lib $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -s %{_datadir}/lib/%{name}/tools $RPM_BUILD_ROOT%{_datadir}/%{name}/tools
ln -s %{_javadir}/%{name}/wars/%{name} $RPM_BUILD_ROOT%{_datadir}/%{name}/webapp
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/src
cp -pr src/samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/src
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/classes
cp -pr build/cocoon/samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/classes

%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without_coreonly}
%if %{without_portalonly}
%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%post webapp
rm -f %{_javadir}/%{name}/wars/%{name}/WEB-INF/lib/*.jar
build-jar-repository -s -p %{_javadir}/%{name}/wars/%{name}/WEB-INF/lib \
antlr \
asm2/asm2 \
asm2/asm2-util \
axis/axis \
axis/jaxrpc \
axis/saaj \
batik/awt-util \
batik/bridge \
batik/css \
batik/dom \
batik/ext \
batik/extension \
batik/gui-util \
batik/gvt \
batik/parser \
batik/script \
batik/svg-dom \
batik/svggen \
batik/swing \
batik/transcoder \
batik/util \
batik/xml \
bcel \
bsf \
castor-xml \
chaperon \
cocoon/apache-garbage \
cocoon/cocoon-deprecated \
cocoon/cocoon \
cocoon/blocks/ajax \
cocoon/blocks/apples \
cocoon/blocks/asciiart \
cocoon/blocks/authentication-fw \
cocoon/blocks/axis \
cocoon/blocks/batik \
cocoon/blocks/bsf \
cocoon/blocks/captcha \
cocoon/blocks/chaperon \
cocoon/blocks/cron \
cocoon/blocks/databases \
cocoon/blocks/deli \
cocoon/blocks/eventcache \
cocoon/blocks/faces \
cocoon/blocks/fop \
cocoon/blocks/forms \
cocoon/blocks/hsqldb \
cocoon/blocks/html \
cocoon/blocks/itext \
cocoon/blocks/javaflow \
cocoon/blocks/jcr \
cocoon/blocks/jfor \
cocoon/blocks/jms \
cocoon/blocks/jsp \
cocoon/blocks/linkrewriter \
cocoon/blocks/lucene \
cocoon/blocks/mail \
cocoon/blocks/midi \
cocoon/blocks/naming \
cocoon/blocks/ojb \
cocoon/blocks/paranoid \
cocoon/blocks/petstore \
cocoon/blocks/poi \
cocoon/blocks/portal \
cocoon/blocks/profiler \
cocoon/blocks/proxy \
cocoon/blocks/python \
cocoon/blocks/qdox \
cocoon/blocks/querybean \
cocoon/blocks/repository \
cocoon/blocks/scratchpad \
cocoon/blocks/serializers \
cocoon/blocks/session-fw \
cocoon/blocks/slide \
cocoon/blocks/slop \
cocoon/blocks/spring-app \
cocoon/blocks/stx \
cocoon/blocks/taglib \
cocoon/blocks/template \
cocoon/blocks/tour \
cocoon/blocks/validation \
cocoon/blocks/velocity \
cocoon/blocks/web3 \
cocoon/blocks/webdav \
cocoon/blocks/xmldb \
cocoon/blocks/xsp \
commons-beanutils-core \
commons-betwixt0 \
commons-cli \
commons-codec \
commons-collections \
commons-dbcp \
commons-digester \
commons-discovery \
commons-el \
commons-httpclient \
commons-io \
commons-javaflow \
commons-jci \
commons-jexl \
commons-jxpath \
commons-lang \
commons-logging \
commons-pool \
commons-transaction \
concurrent \
daisy/htmlcleaner \
daisy/util \
db-ojb/db-ojb \
deli \
ehcache \
excalibur/avalon-framework-api \
excalibur/avalon-framework-impl \
excalibur/avalon-logkit \
excalibur/excalibur-datasource \
excalibur/excalibur-i18n \
excalibur/excalibur-instrument-api \
excalibur/excalibur-io \
excalibur/excalibur-logger \
excalibur/excalibur-naming \
excalibur/excalibur-pool-api \
excalibur/excalibur-pool-impl \
excalibur/excalibur-pool-instrumented \
excalibur/excalibur-sourceresolve \
excalibur/excalibur-store \
excalibur/excalibur-xmlutil \
exolabcore \
fop \
geronimo-sandbox/activation \
geronimo-sandbox/javamail \
geronimo/spec-jms-1.1 \
geronimo/spec-jta-1.0.1B \
groovy-jsr \
hsqldb \
icu4j \
itext \
jackrabbit/jackrabbit-commons \
jackrabbit/jackrabbit \
jcr-1.0-api \
jdom \
jdtcore \
jena \
jfor \
jing \
jndi \
joost \
jspapi \
jtidy \
jython \
knopflerfish/cm_api \
knopflerfish/console_all \
knopflerfish/consoletty \
knopflerfish/frameworkcommands \
knopflerfish/framework \
knopflerfish/http_all \
knopflerfish/log_all \
knopflerfish/logcommands \
log4j \
lucene \
myfaces/myfaces-impl \
myfaces/myfaces-jsf-api \
nekodtd \
nekohtml \
openjms-client \
oro \
poi \
portals-bridges/portals-bridges-common \
portals-pluto/pluto-descriptors \
portals-pluto/pluto \
portlet-1.0-api \
qdox \
quartz \
regexp \
rhino \
servletapi4 \
slide/slide-server-kernel \
slide/slide-server-stores \
slide/slide-server-webdavservlet \
slide/slide-webdavclient-webdavlib \
spring11 \
turbine-jcs \
velocity \
wsdl4j \
ws-wsrp4j/wsrp4j-consumer \
ws-wsrp4j/wsrp4j-shared \
xalan-j2 \
xalan-j2-serializer \
xerces-j2 \
xmlbeans/xbean \
xml-commons-apis \
xml-commons-resolver \
xmldb-api \
xmldb-common \
xmldb-xupdate \
xmlrpc \
xml-xindice \
xreporter-expression
%if %{with_portalsample}
build-jar-repository -s -p %{_javadir}/%{name}/wars/%{name}/WEB-INF/lib \
cocoon/blocks/portal-sample cowarp
%endif


%postun webapp
if [ "$1" = "0" ]; then
  rm -f %{_javadir}/%{name}/wars/%{name}/WEB-INF/lib/*.jar
fi

%endif
%endif

%files core
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*.jar
%attr(0755,root,root) %{_bindir}/%{name}
%if %{without_coreonly}
%if %{without_portalonly}
%{_datadir}/lib/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/tools
%doc %{_docdir}/%{name}-%{version}/*.txt

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%files blocks
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/blocks

%if %{without_portalonly}
%files osgi
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/osgi

%files webapp
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}/wars
%dir %{_javadir}/%{name}/wars/%{name}
%{_datadir}/%{name}/webapp
%{_javadir}/%{name}/wars/%{name}/not-found.xml
%{_javadir}/%{name}/wars/%{name}/sitemap.xmap
%{_javadir}/%{name}/wars/%{name}/welcome.xml
%{_javadir}/%{name}/wars/%{name}/welcome.xslt
%{_javadir}/%{name}/wars/%{name}/wiring.xml
%{_javadir}/%{name}/wars/%{name}/resources
%{_javadir}/%{name}/wars/%{name}/samples
%{_javadir}/%{name}/wars/%{name}/stylesheets
%{_javadir}/%{name}/wars/%{name}/test-suite
%dir %{_javadir}/%{name}/wars/%{name}/WEB-INF
%{_javadir}/%{name}/wars/%{name}/WEB-INF/blocks
%{_javadir}/%{name}/wars/%{name}/WEB-INF/block.xml
%{_javadir}/%{name}/wars/%{name}/WEB-INF/classes
%{_javadir}/%{name}/wars/%{name}/WEB-INF/cocoon.xconf
%{_javadir}/%{name}/wars/%{name}/WEB-INF/compile
%{_javadir}/%{name}/wars/%{name}/WEB-INF/db
%{_javadir}/%{name}/wars/%{name}/WEB-INF/deli
%{_javadir}/%{name}/wars/%{name}/WEB-INF/entities
%{_javadir}/%{name}/wars/%{name}/WEB-INF/faces-config.xml
%dir %{_javadir}/%{name}/wars/%{name}/WEB-INF/lib
%ghost %{_javadir}/%{name}/wars/%{name}/WEB-INF/lib/*.jar
%{_javadir}/%{name}/wars/%{name}/WEB-INF/log4j.xconf
%{_javadir}/%{name}/wars/%{name}/WEB-INF/logkit.xconf
%{_javadir}/%{name}/wars/%{name}/WEB-INF/properties
%{_javadir}/%{name}/wars/%{name}/WEB-INF/sitemap-additions
%{_javadir}/%{name}/wars/%{name}/WEB-INF/slide.xconf
%{_javadir}/%{name}/wars/%{name}/WEB-INF/tidy.properties
%{_javadir}/%{name}/wars/%{name}/WEB-INF/web.xml
%{_javadir}/%{name}/wars/%{name}/WEB-INF/xconf
%{_javadir}/%{name}/wars/%{name}/WEB-INF/xindice.xml


%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/samples

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/site

%endif
%endif

%changelog
* Thu Oct 27 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.2-0.20051026104247.1jpp
- First JPP release

